| FLEX 1.1.0

Public Member Functions | Data Fields
NvFlexVector< T > Struct Template Reference

## Public Member Functions
| NvFlexVector (NvFlexLibrary *l, int size=0)
| NvFlexVector (NvFlexLibrary *l, const T *ptr, int size)
| ~NvFlexVector ()
void | init (int size)
void | destroy ()
void | map (int flags=eNvFlexMapWait)
void | unmap ()
const T & | operator[] (int index) const
T & | operator[] (int index)
void | push_back (const T &t)
void | assign (const T *srcPtr, int newCount)
void | copyto (T *dest, int count)
int | size () const
bool | empty () const
const T & | back () const
void | reserve (int minCapacity)
void | resize (int newCount)
void | resize (int newCount, const T &val)

## Data Fields
NvFlexLibrary * | lib
NvFlexBuffer * | buffer
T * | mappedPtr
int | count
int | capacity

## Constructor & Destructor Documentation

template<typename T >

NvFlexVector< T >::NvFlexVector | ( | NvFlexLibrary * | l,
|  | int | size = `0`
| ) |  |
| inline

template<typename T >

NvFlexVector< T >::NvFlexVector | ( | NvFlexLibrary * | l,
|  | const T * | ptr,
|  | int | size
| ) |  |
| inline

template<typename T >

NvFlexVector< T >::~NvFlexVector | ( |  | ) |
| inline

## Member Function Documentation

template<typename T >

void NvFlexVector< T >::init | ( | int | size | ) |
| inline

template<typename T >

void NvFlexVector< T >::destroy | ( |  | ) |
| inline

template<typename T >

void NvFlexVector< T >::map | ( | int | flags = `eNvFlexMapWait` | ) |
| inline

template<typename T >

void NvFlexVector< T >::unmap | ( |  | ) |
| inline

template<typename T >

const T& NvFlexVector< T >::operator[] | ( | int | index | ) | const
| inline

template<typename T >

T& NvFlexVector< T >::operator[] | ( | int | index | ) |
| inline

template<typename T >

void NvFlexVector< T >::push_back | ( | const T & | t | ) |
| inline

template<typename T >

void NvFlexVector< T >::assign | ( | const T * | srcPtr,
|  | int | newCount
| ) |  |
| inline

template<typename T >

void NvFlexVector< T >::copyto | ( | T * | dest,
|  | int | count
| ) |  |
| inline

template<typename T >

int NvFlexVector< T >::size | ( |  | ) | const
| inline

template<typename T >

bool NvFlexVector< T >::empty | ( |  | ) | const
| inline

template<typename T >

const T& NvFlexVector< T >::back | ( |  | ) | const
| inline

template<typename T >

void NvFlexVector< T >::reserve | ( | int | minCapacity | ) |
| inline

template<typename T >

void NvFlexVector< T >::resize | ( | int | newCount | ) |
| inline

template<typename T >

void NvFlexVector< T >::resize | ( | int | newCount,
|  | const T & | val
| ) |  |
| inline

## Field Documentation

template<typename T >

NvFlexLibrary* NvFlexVector< T >::lib

template<typename T >

NvFlexBuffer* NvFlexVector< T >::buffer

template<typename T >

T* NvFlexVector< T >::mappedPtr

template<typename T >

int NvFlexVector< T >::count

template<typename T >

int NvFlexVector< T >::capacity